Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ShapeBaseDescriptor.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ShapeBaseDescriptor.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/ShapeBaseDescriptor.cs	(revision 4068)
@@ -1,106 +1,95 @@
 using System;
 using System.Drawing;
-using System.Collections.Generic;
-using System.Text;
-using System.ComponentModel;
 using System.Drawing.Design;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Abstract base class for more specialized instances of the <see cref="ShapeBase"/> class.
+  /// </summary>
+  abstract class ShapeBaseDescriptor : DiagramEntityBaseDescriptor {
+
+    #region Constants
+    #endregion
+
+    #region Fields
+
+    #endregion
+
+    #region Properties
+
+    #endregion
+
+    #region Constructor
     /// <summary>
-    /// Abstract base class for more specialized instances of the <see cref="ShapeBase"/> class.
+    /// Initializes a new instance of the <see cref="ShapeBaseDescriptor"/> class.
     /// </summary>
-    abstract class ShapeBaseDescriptor : DiagramEntityBaseDescriptor
-    {
+    /// <param name="provider">The provider.</param>
+    /// <param name="objectType">Type of the object.</param>
+    public ShapeBaseDescriptor(ShapeProvider provider, Type objectType)
+      : base(provider, objectType) {
+      AddBaseProperties();
+    }
+    #endregion
 
-        #region Constants
-        #endregion
-
-        #region Fields
-
-        #endregion
-
-        #region Properties
-
-        #endregion
-
-        #region Constructor
-        /// <summary>
-        /// Initializes a new instance of the <see cref="ShapeBaseDescriptor"/> class.
-        /// </summary>
-        /// <param name="provider">The provider.</param>
-        /// <param name="objectType">Type of the object.</param>
-        public ShapeBaseDescriptor(ShapeProvider provider, Type objectType)
-            : base(provider, objectType)
-        {
-            AddBaseProperties();
-        }
-        #endregion
-
-        #region Methods
-        /// <summary>
-        /// Adds the properties of the <see cref="ShapeBase"/>
-        /// </summary>
-        private void AddBaseProperties()
-        {
-            this.AddProperty("Width", typeof(int), constLayout, "The width of the shape.");
-            this.AddProperty("Height", typeof(int), constLayout, "The height of the shape.");
-            this.AddProperty("Location", typeof(Point), constLayout, "The location of the shape.", Point.Empty, typeof(UITypeEditor), typeof(Netron.Diagramming.Core.PointConverter));
-        }
+    #region Methods
+    /// <summary>
+    /// Adds the properties of the <see cref="ShapeBase"/>
+    /// </summary>
+    private void AddBaseProperties() {
+      this.AddProperty("Width", typeof(int), constLayout, "The width of the shape.");
+      this.AddProperty("Height", typeof(int), constLayout, "The height of the shape.");
+      this.AddProperty("Location", typeof(Point), constLayout, "The location of the shape.", Point.Empty, typeof(UITypeEditor), typeof(Netron.Diagramming.Core.PointConverter));
+    }
 
 
-        /// <summary>
-        /// Override this method to return the appropriate value corresponding to the property
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        protected override void GetValue(object sender, PropertyEventArgs e)
-        {
-            base.GetValue(sender, e);
-            switch (e.Name.ToLower())
-            {
-                case "width":
-                    e.Value = (e.Component as ShapeBase).Width;
-                    break;
-                case "height":
-                    e.Value = (e.Component as ShapeBase).Height;
-                    break;
-                case "location":
-                    e.Value = (e.Component as ShapeBase).Location;
-                    break;
+    /// <summary>
+    /// Override this method to return the appropriate value corresponding to the property
+    /// </summary>
+    /// <param name="sender"></param>
+    /// <param name="e"></param>
+    protected override void GetValue(object sender, PropertyEventArgs e) {
+      base.GetValue(sender, e);
+      switch (e.Name.ToLower()) {
+        case "width":
+          e.Value = (e.Component as ShapeBase).Width;
+          break;
+        case "height":
+          e.Value = (e.Component as ShapeBase).Height;
+          break;
+        case "location":
+          e.Value = (e.Component as ShapeBase).Location;
+          break;
 
 
-            }
+      }
 
 
-        }
+    }
 
 
 
-        /// <summary>
-        /// Override this method to set the appropriate value corresponding to the property
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        protected override void SetValue(object sender, PropertyEventArgs e)
-        {
-            base.SetValue(sender, e);
+    /// <summary>
+    /// Override this method to set the appropriate value corresponding to the property
+    /// </summary>
+    /// <param name="sender"></param>
+    /// <param name="e"></param>
+    protected override void SetValue(object sender, PropertyEventArgs e) {
+      base.SetValue(sender, e);
 
-            switch (e.Name.ToLower())
-            {
-                case "width":
-                    (e.Component as ShapeBase).Width = (int)e.Value;
-                    break;
-                case "height":
-                    (e.Component as ShapeBase).Height = (int)e.Value;
-                    break;
-                case "location":
-                    Point p = (Point)e.Value;
-                    (e.Component as ShapeBase).Location = new Point(p.X, p.Y);
-                    break;
-            }
-        }
+      switch (e.Name.ToLower()) {
+        case "width":
+          (e.Component as ShapeBase).Width = (int)e.Value;
+          break;
+        case "height":
+          (e.Component as ShapeBase).Height = (int)e.Value;
+          break;
+        case "location":
+          Point p = (Point)e.Value;
+          (e.Component as ShapeBase).Location = new Point(p.X, p.Y);
+          break;
+      }
+    }
 
 
-        #endregion
-    }
+    #endregion
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/SimpleShapeBaseDescriptor.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/SimpleShapeBaseDescriptor.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Descriptors/SimpleShapeBaseDescriptor.cs	(revision 4068)
@@ -1,44 +1,35 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 
-namespace Netron.Diagramming.Core
-{
-    /// <summary>
-    /// Descriptor for <see cref="SimpleShapeBase"/> derived classes (i.e. most of the simple drawing elements like the <see cref="SimpleRectangle"/> shape).
-    /// </summary>
-    class SimpleShapeBaseDescriptor : ShapeBaseDescriptor
-    {
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Descriptor for <see cref="SimpleShapeBase"/> derived classes (i.e. most of the simple drawing elements like the <see cref="SimpleRectangle"/> shape).
+  /// </summary>
+  class SimpleShapeBaseDescriptor : ShapeBaseDescriptor {
 
-        protected override void GetValue(object sender, PropertyEventArgs e)
-        {
-            switch (e.Name)
-            {
-                case "Demo":
-                    e.Value = 123456;
-                    break;
-                default:
-                    base.GetValue(sender, e);
-                    break;
-            }
-        }
+    protected override void GetValue(object sender, PropertyEventArgs e) {
+      switch (e.Name) {
+        case "Demo":
+          e.Value = 123456;
+          break;
+        default:
+          base.GetValue(sender, e);
+          break;
+      }
+    }
 
-        protected override void SetValue(object sender, PropertyEventArgs e)
-        {
-            switch (e.Name)
-            {                
-                default:
-                    base.SetValue(sender, e);
-                    break;
-            }
-        }
+    protected override void SetValue(object sender, PropertyEventArgs e) {
+      switch (e.Name) {
+        default:
+          base.SetValue(sender, e);
+          break;
+      }
+    }
 
-        public SimpleShapeBaseDescriptor(ShapeProvider provider, Type type)
-            : base(provider, type)
-        {
-            this.AddProperty("Demo", typeof(int));            
-        }
+    public SimpleShapeBaseDescriptor(ShapeProvider provider, Type type)
+      : base(provider, type) {
+      this.AddProperty("Demo", typeof(int));
+    }
 
 
-    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Editors/ShapeMaterialCollectionEditor.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Editors/ShapeMaterialCollectionEditor.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/Editors/ShapeMaterialCollectionEditor.cs	(revision 4068)
@@ -1,44 +1,33 @@
-using System;
-using System.Windows.Forms;
 using System.Collections.Generic;
-using System.Text;
-using System.Drawing;
 using System.ComponentModel.Design;
-using System.ComponentModel;
-using System.Drawing.Design; 
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// This editor is used to edit items from e.g. the <see cref="FolderMaterial"/> via the property grid. This is a generic editor so it
+  /// can be used to edit any collection of <see cref="IShapeMaterial"/> items.
+  /// </summary>
+  /// <typeparam name="T"></typeparam>
+  public class ShapeMaterialCollectionEditor<T> : CollectionEditor where T : IShapeMaterial {
     /// <summary>
-    /// This editor is used to edit items from e.g. the <see cref="FolderMaterial"/> via the property grid. This is a generic editor so it
-    /// can be used to edit any collection of <see cref="IShapeMaterial"/> items.
+    /// Initializes a new instance of the <see cref="T:ShapeMaterialCollectionEditor&lt;T&gt;"/> class.
     /// </summary>
-    /// <typeparam name="T"></typeparam>
-    public class ShapeMaterialCollectionEditor<T> : CollectionEditor where T : IShapeMaterial
-    {
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:ShapeMaterialCollectionEditor&lt;T&gt;"/> class.
-        /// </summary>
-        public ShapeMaterialCollectionEditor()
-            : base(typeof(List<T>))
-        { }
+    public ShapeMaterialCollectionEditor()
+      : base(typeof(List<T>)) { }
 
-        /// <summary>
-        /// Sets the items.
-        /// </summary>
-        /// <param name="editValue">The edit value.</param>
-        /// <param name="value">The value.</param>
-        /// <returns></returns>
-        protected override object SetItems(object editValue, object[] value)
-        {
-            CollectionBase<IShapeMaterial> entries = editValue as CollectionBase<IShapeMaterial>;
-            entries.Clear();
-            for (int k = 0; k < value.Length; k++)
-            {
-                entries.Add(value[k] as IShapeMaterial);
-            }
-            object retValue = base.SetItems(entries, value);
-            return retValue;
-        }
-    } 
+    /// <summary>
+    /// Sets the items.
+    /// </summary>
+    /// <param name="editValue">The edit value.</param>
+    /// <param name="value">The value.</param>
+    /// <returns></returns>
+    protected override object SetItems(object editValue, object[] value) {
+      CollectionBase<IShapeMaterial> entries = editValue as CollectionBase<IShapeMaterial>;
+      entries.Clear();
+      for (int k = 0; k < value.Length; k++) {
+        entries.Add(value[k] as IShapeMaterial);
+      }
+      object retValue = base.SetItems(entries, value);
+      return retValue;
+    }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/PropertyEventArgs.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/PropertyEventArgs.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/PropertyEventArgs.cs	(revision 4068)
@@ -1,81 +1,69 @@
 using System;
-using System.Collections;
-using System.ComponentModel;
-using System.Drawing.Design;
-namespace Netron.Diagramming.Core
-{
-	/// <summary>
-	/// Provides data for the GetValue and SetValue events of the custom descriptors.
-	/// </summary>
-	public class PropertyEventArgs : EventArgs
-	{
-		#region Fields
-        /// <summary>
-        /// the mComponent of which the properties are examined
-        /// </summary>
-        private object mComponent;
-        /// <summary>
-        /// the value of the property
-        /// </summary>
-		private object mValue;
-        /// <summary>
-        /// the name of the property
-        /// </summary>
-        private string mName;                
-		#endregion
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Provides data for the GetValue and SetValue events of the custom descriptors.
+  /// </summary>
+  public class PropertyEventArgs : EventArgs {
+    #region Fields
+    /// <summary>
+    /// the mComponent of which the properties are examined
+    /// </summary>
+    private object mComponent;
+    /// <summary>
+    /// the value of the property
+    /// </summary>
+    private object mValue;
+    /// <summary>
+    /// the name of the property
+    /// </summary>
+    private string mName;
+    #endregion
 
-		#region Properties
-        /// <summary>
-        /// Gets or sets the mName of the property.
-        /// </summary>
-        /// <value>The mName.</value>
-        public string Name
-        {
-            get
-            {
-                return mName;
-            }
-            set
-            {
-                mName = value;
-            }
-        }
-		/// <summary>
-		/// Gets or sets the current value of the property.
-		/// </summary>
-		public object Value
-		{
-			get { return mValue; }
-			set { mValue = value; }
-		}
-		/// <summary>
-		/// Gets the component whose properties is examined
-		/// </summary> 
-		public object Component
-		{
-			get
-			{ 
-				return mComponent;
-			}
-		}
-		#endregion
+    #region Properties
+    /// <summary>
+    /// Gets or sets the mName of the property.
+    /// </summary>
+    /// <value>The mName.</value>
+    public string Name {
+      get {
+        return mName;
+      }
+      set {
+        mName = value;
+      }
+    }
+    /// <summary>
+    /// Gets or sets the current value of the property.
+    /// </summary>
+    public object Value {
+      get { return mValue; }
+      set { mValue = value; }
+    }
+    /// <summary>
+    /// Gets the component whose properties is examined
+    /// </summary> 
+    public object Component {
+      get {
+        return mComponent;
+      }
+    }
+    #endregion
 
-		#region Constructors
-        /// <summary>
-        /// Initializes a new instance of the PropertyEventArgs class.
-        /// </summary>
-        /// <param name="mComponent">The m component.</param>
-        /// <param name="mName">The name of the property.</param>
-        /// <param name="mValue">The value.</param>
-		public PropertyEventArgs(object mComponent, string mName, object mValue)
-		{
-            this.mComponent = mComponent;
-			this.mValue = mValue;
-            this.mName = mName;
-		}
-		
-		
-		#endregion
-	}
+    #region Constructors
+    /// <summary>
+    /// Initializes a new instance of the PropertyEventArgs class.
+    /// </summary>
+    /// <param name="mComponent">The m component.</param>
+    /// <param name="mName">The name of the property.</param>
+    /// <param name="mValue">The value.</param>
+    public PropertyEventArgs(object mComponent, string mName, object mValue) {
+      this.mComponent = mComponent;
+      this.mValue = mValue;
+      this.mName = mName;
+    }
+
+
+    #endregion
+  }
 
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/PropertySpecDescriptor.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/PropertySpecDescriptor.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/PropertySystem/PropertySpecDescriptor.cs	(revision 4068)
@@ -1,178 +1,161 @@
 using System;
-using System.Collections.Generic;
-using System.Text;
 using System.ComponentModel;
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// An inherited property descriptor which can be created dynamically on the basis of a <see cref="PropertySpec"/> specification.
+  /// </summary>
+  internal class PropertySpecDescriptor : PropertyDescriptor {
+    #region events
     /// <summary>
-    /// An inherited property descriptor which can be created dynamically on the basis of a <see cref="PropertySpec"/> specification.
+    /// Occurs when the property grid accesses the value of the property
     /// </summary>
-    internal class PropertySpecDescriptor : PropertyDescriptor
-    {
-        #region events
-        /// <summary>
-        /// Occurs when the property grid accesses the value of the property
-        /// </summary>
-        public event EventHandler<PropertyEventArgs> OnGetValue;
-        /// <summary>
-        /// Occurs when the property grid tries to set the value of the property
-        /// </summary>
-        public event EventHandler<PropertyEventArgs> OnSetValue;
-		 
-	    #endregion
+    public event EventHandler<PropertyEventArgs> OnGetValue;
+    /// <summary>
+    /// Occurs when the property grid tries to set the value of the property
+    /// </summary>
+    public event EventHandler<PropertyEventArgs> OnSetValue;
 
-        #region Fields
-        private PropertySpec item;
-        #endregion
+    #endregion
 
-        #region Constructor
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:PropertySpecDescriptor"/> class.
-        /// </summary>
-        /// <param name="item">The item.</param>
-        /// <param name="attributes">the attributes to be used on the descriptor. Note that the attributes of the <see cref="PropertySpec"/> have to be previously taken over and overloaded.</param>
-        public PropertySpecDescriptor(PropertySpec item, Attribute[] attributes) : base(item.Name, attributes)
-        {
-            this.item = item;
-        }
-        #endregion
+    #region Fields
+    private PropertySpec item;
+    #endregion
 
-        #region Methods
+    #region Constructor
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:PropertySpecDescriptor"/> class.
+    /// </summary>
+    /// <param name="item">The item.</param>
+    /// <param name="attributes">the attributes to be used on the descriptor. Note that the attributes of the <see cref="PropertySpec"/> have to be previously taken over and overloaded.</param>
+    public PropertySpecDescriptor(PropertySpec item, Attribute[] attributes)
+      : base(item.Name, attributes) {
+      this.item = item;
+    }
+    #endregion
 
-        /// <summary>
-        /// When overridden in a derived class, gets the type of the component this property is bound to.
-        /// </summary>
-        /// <value></value>
-        /// <returns>A <see cref="T:System.Type"></see> that represents the type of component this property is bound to. When the <see cref="M:System.ComponentModel.PropertyDescriptor.GetValue(System.Object)"></see> or <see cref="M:System.ComponentModel.PropertyDescriptor.SetValue(System.Object,System.Object)"></see> methods are invoked, the object specified might be an instance of this type.</returns>
-        public override Type ComponentType
-        {
-            get
-            {
-                return item.GetType();
-            }
-        }
+    #region Methods
 
-        /// <summary>
-        /// When overridden in a derived class, gets a value indicating whether this property is read-only.
-        /// </summary>
-        /// <value></value>
-        /// <returns>true if the property is read-only; otherwise, false.</returns>
-        public override bool IsReadOnly
-        {
-            get
-            {
-                return (Attributes.Matches(ReadOnlyAttribute.Yes));
-            }
-        }
+    /// <summary>
+    /// When overridden in a derived class, gets the type of the component this property is bound to.
+    /// </summary>
+    /// <value></value>
+    /// <returns>A <see cref="T:System.Type"></see> that represents the type of component this property is bound to. When the <see cref="M:System.ComponentModel.PropertyDescriptor.GetValue(System.Object)"></see> or <see cref="M:System.ComponentModel.PropertyDescriptor.SetValue(System.Object,System.Object)"></see> methods are invoked, the object specified might be an instance of this type.</returns>
+    public override Type ComponentType {
+      get {
+        return item.GetType();
+      }
+    }
 
-        /// <summary>
-        /// When overridden in a derived class, gets the type of the property.
-        /// </summary>
-        /// <value></value>
-        /// <returns>A <see cref="T:System.Type"></see> that represents the type of the property.</returns>
-        public override Type PropertyType
-        {
-            get
-            {
-                return Type.GetType(item.TypeName);
-            }
-        }
+    /// <summary>
+    /// When overridden in a derived class, gets a value indicating whether this property is read-only.
+    /// </summary>
+    /// <value></value>
+    /// <returns>true if the property is read-only; otherwise, false.</returns>
+    public override bool IsReadOnly {
+      get {
+        return (Attributes.Matches(ReadOnlyAttribute.Yes));
+      }
+    }
 
-        /// <summary>
-        /// When overridden in a derived class, returns whether resetting an object changes its value.
-        /// </summary>
-        /// <param name="component">The component to test for reset capability.</param>
-        /// <returns>
-        /// true if resetting the component changes its value; otherwise, false.
-        /// </returns>
-        public override bool CanResetValue(object component)
-        {
-            if(item.DefaultValue == null)
-                return false;
-            else
-                return !this.GetValue(component).Equals(item.DefaultValue);
-        }
+    /// <summary>
+    /// When overridden in a derived class, gets the type of the property.
+    /// </summary>
+    /// <value></value>
+    /// <returns>A <see cref="T:System.Type"></see> that represents the type of the property.</returns>
+    public override Type PropertyType {
+      get {
+        return Type.GetType(item.TypeName);
+      }
+    }
 
-        /// <summary>
-        /// When overridden in a derived class, gets the current value of the property on a component.
-        /// </summary>
-        /// <param name="component">The component with the property for which to retrieve the value.</param>
-        /// <returns>
-        /// The value of a property for a given component.
-        /// </returns>
-        public override object GetValue(object component)
-        {
-            // Have the property bag raise an event to get the current value
-            // of the property.
+    /// <summary>
+    /// When overridden in a derived class, returns whether resetting an object changes its value.
+    /// </summary>
+    /// <param name="component">The component to test for reset capability.</param>
+    /// <returns>
+    /// true if resetting the component changes its value; otherwise, false.
+    /// </returns>
+    public override bool CanResetValue(object component) {
+      if (item.DefaultValue == null)
+        return false;
+      else
+        return !this.GetValue(component).Equals(item.DefaultValue);
+    }
 
-            PropertyEventArgs e = new PropertyEventArgs(component, base.Name, null);
-            RaiseOnGetValue(e);
-            return e.Value;
-        }
+    /// <summary>
+    /// When overridden in a derived class, gets the current value of the property on a component.
+    /// </summary>
+    /// <param name="component">The component with the property for which to retrieve the value.</param>
+    /// <returns>
+    /// The value of a property for a given component.
+    /// </returns>
+    public override object GetValue(object component) {
+      // Have the property bag raise an event to get the current value
+      // of the property.
 
-        /// <summary>
-        /// Raises the on get value.
-        /// </summary>
-        /// <param name="e">The <see cref="T:Netron.Diagramming.Core.PropertyEventArgs"/> instance containing the event data.</param>
-        private void RaiseOnGetValue(PropertyEventArgs e)
-        {
-            EventHandler<PropertyEventArgs> handler = OnGetValue;
-            if(handler != null)
-                handler(this,e);
-        }
+      PropertyEventArgs e = new PropertyEventArgs(component, base.Name, null);
+      RaiseOnGetValue(e);
+      return e.Value;
+    }
+
+    /// <summary>
+    /// Raises the on get value.
+    /// </summary>
+    /// <param name="e">The <see cref="T:Netron.Diagramming.Core.PropertyEventArgs"/> instance containing the event data.</param>
+    private void RaiseOnGetValue(PropertyEventArgs e) {
+      EventHandler<PropertyEventArgs> handler = OnGetValue;
+      if (handler != null)
+        handler(this, e);
+    }
 
 
-        /// <summary>
-        /// Raises the on set value.
-        /// </summary>
-        /// <param name="e">The <see cref="T:Netron.Diagramming.Core.PropertyEventArgs"/> instance containing the event data.</param>
-        private void RaiseOnSetValue(PropertyEventArgs e)
-        {
-            EventHandler<PropertyEventArgs> handler = OnSetValue;
-            if(handler != null)
-                handler(this,e);
-        }
+    /// <summary>
+    /// Raises the on set value.
+    /// </summary>
+    /// <param name="e">The <see cref="T:Netron.Diagramming.Core.PropertyEventArgs"/> instance containing the event data.</param>
+    private void RaiseOnSetValue(PropertyEventArgs e) {
+      EventHandler<PropertyEventArgs> handler = OnSetValue;
+      if (handler != null)
+        handler(this, e);
+    }
 
-        /// <summary>
-        /// When overridden in a derived class, resets the value for this property of the component to the default value.
-        /// </summary>
-        /// <param name="component">The component with the property value that is to be reset to the default value.</param>
-        public override void ResetValue(object component)
-        {
-            SetValue(component, item.DefaultValue);
-        }
+    /// <summary>
+    /// When overridden in a derived class, resets the value for this property of the component to the default value.
+    /// </summary>
+    /// <param name="component">The component with the property value that is to be reset to the default value.</param>
+    public override void ResetValue(object component) {
+      SetValue(component, item.DefaultValue);
+    }
 
-        /// <summary>
-        /// When overridden in a derived class, sets the value of the component to a different value.
-        /// </summary>
-        /// <param name="component">The component with the property value that is to be set.</param>
-        /// <param name="value">The new value.</param>
-        public override void SetValue(object component, object value)
-        {
-            // Have the property bag raise an event to set the current value
-            // of the property.
+    /// <summary>
+    /// When overridden in a derived class, sets the value of the component to a different value.
+    /// </summary>
+    /// <param name="component">The component with the property value that is to be set.</param>
+    /// <param name="value">The new value.</param>
+    public override void SetValue(object component, object value) {
+      // Have the property bag raise an event to set the current value
+      // of the property.
 
-            PropertyEventArgs e = new PropertyEventArgs(component, Name, value);
-            RaiseOnSetValue(e);
-        }
+      PropertyEventArgs e = new PropertyEventArgs(component, Name, value);
+      RaiseOnSetValue(e);
+    }
 
-        /// <summary>
-        /// When overridden in a derived class, determines a value indicating whether the value of this property needs to be persisted.
-        /// </summary>
-        /// <param name="component">The component with the property to be examined for persistence.</param>
-        /// <returns>
-        /// true if the property should be persisted; otherwise, false.
-        /// </returns>
-        public override bool ShouldSerializeValue(object component)
-        {
-            object val = this.GetValue(component);
+    /// <summary>
+    /// When overridden in a derived class, determines a value indicating whether the value of this property needs to be persisted.
+    /// </summary>
+    /// <param name="component">The component with the property to be examined for persistence.</param>
+    /// <returns>
+    /// true if the property should be persisted; otherwise, false.
+    /// </returns>
+    public override bool ShouldSerializeValue(object component) {
+      object val = this.GetValue(component);
 
-            if(item.DefaultValue == null && val == null)
-                return false;
-            else
-                return !val.Equals(item.DefaultValue);
-        }
+      if (item.DefaultValue == null && val == null)
+        return false;
+      else
+        return !val.Equals(item.DefaultValue);
+    }
 
-        #endregion
-    }
+    #endregion
+  }
 }
